View Issue Details

IDProjectCategoryView StatusLast Update
00036564 - Business PrioritiesGeneralpublic2020-08-03 09:35
ReporterWA9PIEAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0003656: Increment SSID on DX cluster reconnect to eliminate the ping-pong of login/logout events on DX clusters
DescriptionDX clusters do not permit multiple login sessions with the same unique callsign. (This is likely to avoid having to deal with abandoned connections.)

As such, DX clusters are capable of allowing a unique user to connect multiple times by adding a 1 or 2 digit numeric number after the call in this format: <callsign>-xx

This 2-digit number is referred to as a "system ID", or SSID.

Ham Radio Deluxe Logbook allows for this in the DX Cluster Options > Connection tab (reference here: https://wiki.hamradiodeluxe.com/index.php?title=Logbook#Connection)

The purpose of this change is to propose a remedy where the SSID is incremented automatically within Ham Radio Deluxe Logbook when the application is set to reconnect.
Steps To ReproduceSet up two separate instances of Ham Radio Deluxe, both connecting to the same DX cluster, both with the same callsign.

You'll see them ping-pong back-n-forth. The result looks like this:

User WA9PIE has logged in
User WA9PIE has logged out
User WA9PIE has logged in
User WA9PIE has logged out
User WA9PIE has logged in
User WA9PIE has logged out
User WA9PIE has logged in
User WA9PIE has logged out
User WA9PIE has logged in
User WA9PIE has logged out
User WA9PIE has logged in
User WA9PIE has logged out

The telnet session will see this message when it disconnects:
Reconnected as <callsign> at <IP address>, this instance is disconnected

In practice, it would look like this:
Reconnected as WA9PIE at 67.121.49.7, this instance is disconnected
Additional InformationWhile we could watch the Telnet session for "Reconnected as <callsign> at <IP address>, this instance is disconnected", it's probably move involved from a development effort perspective.

RECOMMENDATION:
- In the DX Cluster Options > Connection tab, there's an option there that says, "Reconnect if connection lost"
- Add code that will cause the SSID (shown in the connection tab) to automatically increment when the connection is lost (or when the "reconnect" code runs); this information is stored in the an XML file for the user
- Add an option to enable/disable this "Increment SSID when connection lost"; default it to [Enabled] (point here is - if someone knows enough to disable it, they must know that they're managing their SSIDs properly; put this option under the existing "Reconnect if connection lost" option in DX Cluster Options > Connection tab

NOTE: SSID values range from "None" to 15. So the rotation would be "None", 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, "None", 1, 2, 3, 4, 5, 6...
TagsNo tags attached.
ModuleLogbook
Sub-ModuleDX Cluster
Testing Alpha Failed

Activities

DOUG

2020-05-24 15:10

developer   ~0009682

Just kicked off the beta build with this one in it, needs validation.

WA9PIE

2020-06-18 07:45

administrator   ~0009694

I tested this in the 282 build and it's not correct yet.

WILL

2020-06-18 17:02

developer   ~0009698

I think I'm missing something here. Here's what happens for me. I have two logbooks open. On logbook1 I connect WA9PIE-2 with WA9PIE ( I don't actually have a valid call sign) and with logbook2 I connect to WA9PIE-2 with WA9PIE. Logbook1 gets disconnected and then after a wait reconnects with WA9PIE-1 while logbook2 stays logged in. I attached screenshots of this happening. I had to do this with the debug build so I could change my call sign.

3656_282_1.PNG (15,379 bytes)
3656_282_1.PNG (15,379 bytes)
3656_282_2.PNG (99,524 bytes)
3656_282_2.PNG (99,524 bytes)

WA9PIE

2020-07-09 09:51

administrator   ~0009735

For the moment, let's put this on the back burner. The author of DX Spider made some changes that may render this a moot point.

WA9PIE

2020-08-03 09:35

administrator   ~0009845

I think this is done. I need to test it.

Issue History

Date Modified Username Field Change
2020-03-30 21:34 WA9PIE New Issue
2020-03-30 21:34 WA9PIE Assigned To => DOUG
2020-03-30 21:34 WA9PIE Status new => assigned
2020-05-24 15:10 DOUG Assigned To DOUG => WA9PIE
2020-05-24 15:10 DOUG Status assigned => resolved
2020-05-24 15:10 DOUG Resolution open => fixed
2020-05-24 15:10 DOUG Note Added: 0009682
2020-06-18 07:45 WA9PIE Assigned To WA9PIE => DOUG
2020-06-18 07:45 WA9PIE Status resolved => assigned
2020-06-18 07:45 WA9PIE Resolution fixed => reopened
2020-06-18 07:45 WA9PIE Product Version => 6.7.0.282
2020-06-18 07:45 WA9PIE Testing Not Started => Alpha Failed
2020-06-18 07:45 WA9PIE Note Added: 0009694
2020-06-18 17:02 WILL File Added: 3656_282_1.PNG
2020-06-18 17:02 WILL File Added: 3656_282_2.PNG
2020-06-18 17:02 WILL Note Added: 0009698
2020-07-05 00:16 WA9PIE Project 3 - Current Dev List => 4 - Business Priorities
2020-07-09 09:51 WA9PIE Note Added: 0009735
2020-07-16 10:03 WA9PIE Assigned To DOUG => WA9PIE
2020-08-03 09:35 WA9PIE Note Added: 0009845